Directly execute an SQL statement

- « odbc_errormsg

- odbc_execute »

- PHP Manual
- ODBC Functions
- Directly execute an SQL statement

# odbc_exec

(PHP 4, PHP 5, PHP 7, PHP 8)

odbc_exec — Directly execute an SQL statement

### Description

odbc_exec(resource `$odbc`, string `$query`): resource|false

Sends an SQL statement to the database server.

### Parameters

`odbc`

  The ODBC connection identifier, see odbc_connect() for details.

`query`

  The SQL statement.

### Return Values

Returns an ODBC result identifier if the SQL command was executed successfully, or `false` on error.

### Changelog

Version | Description
--- | ---
8.0.0 | `flags` was removed.

### See Also

- odbc_prepare() - Prepares a statement for execution
- odbc_execute() - Execute a prepared statement